package com.community.huiju.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.community.commom.mode.ResponseBean;
import com.community.huiju.dao.TpAnnouncementMapper;
import com.community.huiju.model.TpAnnouncement;
import com.community.huiju.model.TpBuildingOwnerInfo;
import com.community.huiju.service.TpAnnouncementService;
import com.google.common.collect.Maps;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * version V1.0
 * class_name: $METHOD_NAME$
 * param: $METHOD_PARAM$
 * describe: TODO
 * creat_user:fannaixi
 * creat_time: 2018/12/28
 **/
@Slf4j
@Service
public class TpAnnouncementServiceImpl extends ServiceImpl<TpAnnouncementMapper, TpAnnouncement> implements TpAnnouncementService {

@Autowired
private  TpAnnouncementMapper tpAnnouncementMapper;
    @Override
    public ResponseBean tpAnnouncemenList(String paramets, Integer CommunityId) {
        ResponseBean responseBean = new ResponseBean();

        TpAnnouncement   tpAnnouncement= JSONObject.parseObject(paramets, TpAnnouncement.class);
        tpAnnouncement.setCommunityId(CommunityId);
        JSONObject jsonobject = JSONObject.parseObject(paramets);
        Integer pageNum = jsonobject.getInteger("pageNum");
        Integer pageSize = jsonobject.getInteger("pageSize");
        // 分页
        Page<TpBuildingOwnerInfo> page = new Page<>();
        page.setSize(pageSize == null ? 10 : pageSize);
        page.setCurrent(pageNum == null ? 1 : pageNum);

        IPage<TpAnnouncement> tpAnnouncementList= tpAnnouncementMapper.getAnnouncements(page,CommunityId);

        Map<String, Object> map = Maps.newHashMap();
        map.put("list", tpAnnouncementList.getRecords());
        map.put("total", tpAnnouncementList.getTotal());
        map.put("pageNum", tpAnnouncementList.getCurrent());
        map.put("pageSize", tpAnnouncementList.getSize());
        responseBean.addSuccess(map);
        return responseBean;
    }
}
